summaryrefslogtreecommitdiff
path: root/t/t3701-add-interactive.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 16:46:42 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 16:46:42 -0700
commit6f523f6d38e660edc67719fb0953d79cee3b4b1f (patch)
tree83076a723d21df25e335c917570fd617ca9dbd16 /t/t3701-add-interactive.sh
parentMerge branch 'sb/doc-upstream-branch' (diff)
parenttests: skip perl tests if NO_PERL is defined (diff)
downloadtgif-6f523f6d38e660edc67719fb0953d79cee3b4b1f.tar.xz
Merge branch 'jk/no-perl'
* jk/no-perl: tests: skip perl tests if NO_PERL is defined Makefile: allow building without perl
Diffstat (limited to 't/t3701-add-interactive.sh')
-rwxr-xr-xt/t3701-add-interactive.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/t3701-add-interactive.sh b/t/t3701-add-interactive.sh
index fe017839c4..dfc65601aa 100755
--- a/t/t3701-add-interactive.sh
+++ b/t/t3701-add-interactive.sh
@@ -3,6 +3,11 @@
test_description='add -i basic tests'
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping git add -i tests, perl not available'
+ test_done
+fi
+
test_expect_success 'setup (initial)' '
echo content >file &&
git add file &&